/**
 * @file	pwm.h
 * @author	Robert Steigemann
 * @date	15 January 2017
 * @brief	1 Hz PWM for power control
 *
 * @license creative commons license CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/
 */

#ifndef PWM_H_
#define PWM_H_

/**
 * @brief Initialize timer C0 for dual slope pwm operation
 */
void pwm_init(void);

/**
 * @brief Set power level in %
 *
 * @param percent power level (0..100)
 */
void pwm_set_power(uint8_t percent);

#endif /* PWM_H_ */